Remote Code Execution (RCE) Affecting org.apache.iotdb:iotdb-server package, versions [,0.9.2)


0.0
high
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-ORGAPACHEIOTDB-567769

  • published

    28 Apr 2020

  • disclosed

    27 Apr 2020

  • credit

    WuXiong of QI’ANXIN YunYing Lab

How to fix?

Upgrade org.apache.iotdb:iotdb-server to version 0.9.2 or higher.

Overview

org.apache.iotdb:iotdb-server is a data management system for time series data, which can provide users specific services, such as, data collection, storage and analysis.

Affected versions of this package are vulnerable to Remote Code Execution (RCE). When starting IoTDB, the JMX port 31999 is exposed with no certification. Then, clients could execute code remotely.